[Lubuntu] Wi-Fi impossible à activer

Espace dédié à Lubuntu. lnstallation, personnalisation, utilisation.
Bienvenue à tous !
Tehmactep
Messages : 4
Enregistré le : 19 sept. 2014, 17:52
Contact :

[Lubuntu] Wi-Fi impossible à activer

Message par Tehmactep »

Bonsoir,

Suite à l'acquisition d'un Medion Lifetec LT 95400, j'ai décidé d'y installer Lubuntu 14.04 32 bits pour pouvoir le léguer à ma petite soeur, histoire qu'elle aille sur Facebook Youtube tout le tralala ...

Sur Windows XP le Wi-Fi était automatiquement activé mais il pouvait être désactivé par le biais d'un bouton situé au-dessus du clavier.

Sur Lubuntu, au démarrage le Wi-Fi est désactivé mais j'ai juste à appuyer sur ce bouton pour l'activer et être connecté à mon routeur.

SAUF QUE maintenant... Ca ne fonctionne plus !
J'ai effectué des mises à jour grâce au gestionnaire et je suppose qu'elles sont à l'origine de ce dysfonctionnement puisqu'une d'entre elles ne parvient pas à s'appliquer : en cause, 2 paquets cassés.

Etant débutant sur Lubuntu, j'ai essayé tant bien que mal de "réparer" ces paquets mais rien n'y fait, il y a une chose appelée PAE qui empêche toute application des modifications.

Je dérive beaucoup du sujet mais je pense que c'est le cause du dysfonctionnement du Wi-Fi, si ce n'est pas le cas je ferai un autre sujet pour ces paquets.
J'ai l'impression que c'est tout le panneau de touches supérieur et latéral qui ne fonctionnent plus, certaines touches ne font rien et d'autres ne font pas la bonne action (ex : touche "www" lance le terminal )

Petite image de la bête :
Image

Voili voulou, si vous avez une solution n'hésitez pas !

Cordialement
pingux
Messages : 2508
Enregistré le : 28 déc. 2011, 17:19
Localisation : Belgique
Contact :

Re: [Lubuntu] Wi-Fi impossible à activer

Message par pingux »

Hello Techmactep, sur un système 32 bit l'adressage de la mémoire est limité à 4 Go (en réalité 3,2 Go), PAE permet de repousser cette limite à 64 Go. Depuis la version 10.10, la version PAE des noyaux 32 bits est installée automatiquement si la procédure d'installation détecte plus de 3,2Go.
Dans un terminal lance ces commandes :

Code : Tout sélectionner

sudo apt-get update
sudo apt-get upgrade
Si tu rencontres des erreurs mets les dans ton prochain post.
Toujours dans un terminal retourne nous le résultat de cette commande :

Code : Tout sélectionner

lscpu | grep bit
Et tant qu'on y est retourne nous également le résultat de cette commande :

Code : Tout sélectionner

lspci
Dura Lex sed Lex
Tehmactep
Messages : 4
Enregistré le : 19 sept. 2014, 17:52
Contact :

Re: [Lubuntu] Wi-Fi impossible à activer

Message par Tehmactep »

Salut pingux,

Etrangement j'ai réussi à activer le Wi-Fi aujourd'hui, mais je suppose que c'est passager.

J'ai exécuté sudo apt-get update et n'ai rencontré aucune erreur.
J'ai exécuté sudo apt-get upgrate et voici l'erreur affichée :

Code : Tout sélectionner

Les paquets suivants contiennent des dépendances non satisfaites :
  linux-image-extra-3.13.0-35-generic : Dépend: linux-image-3.13.0-35-generic mais il n'est pas installé
  linux-image-generic : Dépend: linux-image-3.13.0-35-generic mais il n'est pas installé
E: Dépendances manquantes. Essayez d'utiliser l'option -f.
Voici le résultat du apt-get -f install :

Code : Tout sélectionner

Sélection du paquet linux-image-3.13.0-36-generic précédemment désélectionné.
(Lecture de la base de données... 136489 fichiers et répertoires déjà installés.)
Préparation du décompactage de .../linux-image-3.13.0-36-generic_3.13.0-36.63_i386.deb ...
This kernel does not support a non-PAE CPU.
dpkg: error processing archive /var/cache/apt/archives/linux-image-3.13.0-36-generic_3.13.0-36.63_i386.deb (--unpack):
 le sous-processus nouveau script pre-installation a retourné une erreur de sortie d'état 1
Examining /etc/kernel/postrm.d .
run-parts: executing /etc/kernel/postrm.d/initramfs-tools 3.13.0-36-generic /boot/vmlinuz-3.13.0-36-generic
run-parts: executing /etc/kernel/postrm.d/zz-update-grub 3.13.0-36-generic /boot/vmlinuz-3.13.0-36-generic
Sélection du paquet linux-image-extra-3.13.0-36-generic précédemment désélectionné.
Préparation du décompactage de .../linux-image-extra-3.13.0-36-generic_3.13.0-36.63_i386.deb ...
Décompactage de linux-image-extra-3.13.0-36-generic (3.13.0-36.63) ...
Préparation du décompactage de .../linux-generic_3.13.0.36.43_i386.deb ...
Décompactage de linux-generic (3.13.0.36.43) sur (3.13.0.35.42) ...
Préparation du décompactage de .../linux-image-generic_3.13.0.36.43_i386.deb ...
Décompactage de linux-image-generic (3.13.0.36.43) sur (3.13.0.35.42) ...
Sélection du paquet linux-headers-3.13.0-36 précédemment désélectionné.
Préparation du décompactage de .../linux-headers-3.13.0-36_3.13.0-36.63_all.deb ...
Décompactage de linux-headers-3.13.0-36 (3.13.0-36.63) ...
Sélection du paquet linux-headers-3.13.0-36-generic précédemment désélectionné.
Préparation du décompactage de .../linux-headers-3.13.0-36-generic_3.13.0-36.63_i386.deb ...
Décompactage de linux-headers-3.13.0-36-generic (3.13.0-36.63) ...
Préparation du décompactage de .../linux-headers-generic_3.13.0.36.43_i386.deb ...
Décompactage de linux-headers-generic (3.13.0.36.43) sur (3.13.0.35.42) ...
Préparation du décompactage de .../linux-image-3.13.0-35-generic_3.13.0-35.62_i386.deb ...
This kernel does not support a non-PAE CPU.
dpkg: error processing archive /var/cache/apt/archives/linux-image-3.13.0-35-generic_3.13.0-35.62_i386.deb (--unpack):
 le sous-processus nouveau script pre-installation a retourné une erreur de sortie d'état 1
Examining /etc/kernel/postrm.d .
run-parts: executing /etc/kernel/postrm.d/initramfs-tools 3.13.0-35-generic /boot/vmlinuz-3.13.0-35-generic
run-parts: executing /etc/kernel/postrm.d/zz-update-grub 3.13.0-35-generic /boot/vmlinuz-3.13.0-35-generic
Des erreurs ont été rencontrées pendant l'exécution :
 /var/cache/apt/archives/linux-image-3.13.0-36-generic_3.13.0-36.63_i386.deb
 /var/cache/apt/archives/linux-image-3.13.0-35-generic_3.13.0-35.62_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
Ici la réponse à lscpu | grepbit :

Code : Tout sélectionner

Mode(s) opératoire(s) des processeurs :32-bit
Et voici le résultat de lspci :

Code : Tout sélectionner

00:00.0 Host bridge: Intel Corporation 82855PM Processor to I/O Controller (rev 21)
00:01.0 PCI bridge: Intel Corporation 82855PM Processor to AGP Controller (rev 21)
00:1d.0 USB controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB UHCI Controller #1 (rev 03)
00:1d.1 USB controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB UHCI Controller #2 (rev 03)
00:1d.2 USB controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB UHCI Controller #3 (rev 03)
00:1d.7 USB controller: Intel Corporation 82801DB/DBM (ICH4/ICH4-M) USB2 EHCI Controller (rev 03)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev 83)
00:1f.0 ISA bridge: Intel Corporation 82801DBM (ICH4-M) LPC Interface Bridge (rev 03)
00:1f.1 IDE interface: Intel Corporation 82801DBM (ICH4-M) IDE Controller (rev 03)
00:1f.3 SMBus: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) SMBus Controller (rev 03)
00:1f.5 Multimedia audio controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) AC'97 Audio Controller (rev 03)
00:1f.6 Modem: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) AC'97 Modem Controller (rev 03)
01:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] RV350/M10 [Mobility Radeon 9600 PRO Turbo]
02:04.0 CardBus bridge: Texas Instruments PCIxx21/x515 Cardbus Controller
02:04.1 CardBus bridge: Texas Instruments PCIxx21/x515 Cardbus Controller
02:04.2 FireWire (IEEE 1394): Texas Instruments OHCI Compliant IEEE 1394 Host Controller
02:04.3 Mass storage controller: Texas Instruments PCIxx21 Integrated FlashMedia Controller
02:04.4 SD Host controller: Texas Instruments PCI6411/6421/6611/6621/7411/7421/7611/7621 Secure Digital Controller
02:05.0 Ethernet controller: Broadcom Corporation BCM4401 100Base-T (rev 01)
02:06.0 Network controller: Intel Corporation PRO/Wireless 2200BG [Calexico2] Network Connection (rev 05)
C'est très sympa de m'aider, j'avais peur que la communauté ne soit pas active :?

Cordialement
pingux
Messages : 2508
Enregistré le : 28 déc. 2011, 17:19
Localisation : Belgique
Contact :

Re: [Lubuntu] Wi-Fi impossible à activer

Message par pingux »

Hum, il semblerait que ton processeur ne soit plus compatible avec le nouveau noyau. Retourne nous le résultat de cette commande :

Code : Tout sélectionner

cat /proc/version
Dura Lex sed Lex
Tehmactep
Messages : 4
Enregistré le : 19 sept. 2014, 17:52
Contact :

Re: [Lubuntu] Wi-Fi impossible à activer

Message par Tehmactep »

Voici le résultat de cette commande :

Code : Tout sélectionner

Linux version 3.13.0-32-generic (buildd@roseapple) (gcc version 4.8.2 (Ubuntu 4.
8.2-19ubuntu1) ) #57-Ubuntu SMP Tue Jul 15 03:51:12 UTC 2014
Tehmactep
Messages : 4
Enregistré le : 19 sept. 2014, 17:52
Contact :

Re: [Lubuntu] Wi-Fi impossible à activer

Message par Tehmactep »

Up
pingux
Messages : 2508
Enregistré le : 28 déc. 2011, 17:19
Localisation : Belgique
Contact :

Re: [Lubuntu] Wi-Fi impossible à activer

Message par pingux »

Pas facile de voir quelle mise à jour a empêcher le wifi de fonctionner. Il y a manifestement un problème avec une mise à jour concernant le noyau, mais ce n'est pas sûr qu'elle soit responsable du dysfonctionnement. Néanmoins il existe une possibilité de "downgrader" vers une version plus ancienne du noyau comme indiqué ICI, c'est à essayer en espérant que cela résolve ton problème. On constate que le matériel ancien rencontre de plus en plus de problèmes lors de la sortie de nouvelles versions du système. Il faut peut être y voir un choix technique qui force les développeurs Linux à abandonner le soutient de ce matériel ancien afin de ne pas alourdir le système et éviter que celui-ci ne se transforme en "usine à gaz". Cela résulte principalement du manque de volonté des constructeurs qui ne développent les pilotes de leur matériel uniquement que pour wouindow$. Le problème serait pire encore si tu essayais d'installer la dernière version du système de cro$oft, ta machine ne démarrerait tout simplement pas, c'est ce que l'on appelle l’obsolescence programmée.
Dura Lex sed Lex
Répondre